% MAKEREADMPS - compiles readmps and mps2mat
%
% MAKEREADMPS compiles the mex functions for readmps and mps2mat
%
% Copyright (C) 2007 Christian Keil
%   $Revision$

function makereadmps
savedir = pwd;
cd(dirname('makereadmps'))

if ~exist(['readmps.' mexext], 'file')
  disp('Compiling readmps.cpp')
  mex readmps.cpp
else
  disp(['readmps.' mexext ' already compiled'])
end
if ~exist(['mps2mat.' mexext], 'file')
  disp('Compiling mps2mat.cpp')
  mex mps2mat.cpp
else
  disp(['mps2mat.' mexext ' already compiled'])
end

cd(savedir)
disp('Happy MPS parsing!')
